Update Metadata
curl --request POST \
--url https://api.landing.ai/v1/projects/{project_id}/metadata/{metadata_id} \
--header 'Content-Type: application/json' \
--data '
{
"allowMultiple": true,
"predefinedChoicesAppend": [
"<string>"
],
"valueFlexible": true,
"name": "<string>"
}
'import requests
url = "https://api.landing.ai/v1/projects/{project_id}/metadata/{metadata_id}"
payload = {
"allowMultiple": True,
"predefinedChoicesAppend": ["<string>"],
"valueFlexible": True,
"name": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
allowMultiple: true,
predefinedChoicesAppend: ['<string>'],
valueFlexible: true,
name: '<string>'
})
};
fetch('https://api.landing.ai/v1/projects/{project_id}/metadata/{metadata_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"name": "<string>",
"allowMultiple": true,
"predefinedChoices": [
"<string>"
],
"id": 123,
"valueFlexible": true
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Metadata
Update Metadata
POST
/
v1
/
projects
/
{project_id}
/
metadata
/
{metadata_id}
Update Metadata
curl --request POST \
--url https://api.landing.ai/v1/projects/{project_id}/metadata/{metadata_id} \
--header 'Content-Type: application/json' \
--data '
{
"allowMultiple": true,
"predefinedChoicesAppend": [
"<string>"
],
"valueFlexible": true,
"name": "<string>"
}
'import requests
url = "https://api.landing.ai/v1/projects/{project_id}/metadata/{metadata_id}"
payload = {
"allowMultiple": True,
"predefinedChoicesAppend": ["<string>"],
"valueFlexible": True,
"name": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
allowMultiple: true,
predefinedChoicesAppend: ['<string>'],
valueFlexible: true,
name: '<string>'
})
};
fetch('https://api.landing.ai/v1/projects/{project_id}/metadata/{metadata_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"name": "<string>",
"allowMultiple": true,
"predefinedChoices": [
"<string>"
],
"id": 123,
"valueFlexible": true
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Headers
Query Parameters
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
⌘I

